org.flexdock.docking.props

## Interface DockingPortPropertySet

- All Known Implementing Classes:
    BasicDockingPortPropertySet, RootDockingPortPropertySet, ScopedDockingPortPropertySet

      public interface DockingPortPropertySet

  Author:
    Christopher Butler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `REGION_CHECKER`
    `static java.lang.String` | `REGION_SIZE_EAST`
    `static java.lang.String` | `REGION_SIZE_NORTH`
    `static java.lang.String` | `REGION_SIZE_SOUTH`
    `static java.lang.String` | `REGION_SIZE_WEST`
    `static java.lang.String` | `SINGLE_TABS`
    `static java.lang.String` | `TAB_PLACEMENT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegionChecker` | `getRegionChecker()`
    `java.lang.Float` | `getRegionInset(java.lang.String region)`
    `java.lang.Integer` | `getTabPlacement()`
    `java.lang.Boolean` | `isSingleTabsAllowed()`
    `void` | `setRegionChecker(RegionChecker checker)`
    `void` | `setRegionInset(java.lang.String region, float inset)`
    `void` | `setSingleTabsAllowed(boolean allowed)`
    `void` | `setTabPlacement(int placement)`

- - ### Field Detail

    - #### REGION_CHECKER

          static final java.lang.String REGION_CHECKER

      See Also:
        Constant Field Values

    - #### SINGLE_TABS

          static final java.lang.String SINGLE_TABS

      See Also:
        Constant Field Values

    - #### TAB_PLACEMENT

          static final java.lang.String TAB_PLACEMENT

      See Also:
        Constant Field Values

    - #### REGION_SIZE_NORTH

          static final java.lang.String REGION_SIZE_NORTH

      See Also:
        Constant Field Values

    - #### REGION_SIZE_SOUTH

          static final java.lang.String REGION_SIZE_SOUTH

      See Also:
        Constant Field Values

    - #### REGION_SIZE_EAST

          static final java.lang.String REGION_SIZE_EAST

      See Also:
        Constant Field Values

    - #### REGION_SIZE_WEST

          static final java.lang.String REGION_SIZE_WEST

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRegionChecker

          RegionChecker getRegionChecker()

    - #### isSingleTabsAllowed

          java.lang.Boolean isSingleTabsAllowed()

    - #### getTabPlacement

          java.lang.Integer getTabPlacement()

    - #### getRegionInset

          java.lang.Float getRegionInset(java.lang.String region)

    - #### setRegionChecker

          void setRegionChecker(RegionChecker checker)

    - #### setSingleTabsAllowed

          void setSingleTabsAllowed(boolean allowed)

    - #### setTabPlacement

          void setTabPlacement(int placement)

    - #### setRegionInset

          void setRegionInset(java.lang.String region,
                            float inset)